@font-face {
    font-family: 'Parisienne';
    src:url(/build/fonts/Parisienne-Regular.1e5cb22c.eot) format("eot"),
        url(/build/images/Parisienne-Regular.9cfb624f.svg#Parisienne-Regular) format("svg"),
        url(/build/fonts/Parisienne-Regular.c46d9de0.woff) format("woff"),
        url(/build/fonts/Parisienne-Regular.efb9184b.ttf) format("truetype");
        font-weight:normal;
        font-style:normal;
}
body {
    background: linear-gradient(155deg, #15181b 5%,#3b3f52 30%);
    background-repeat: no-repeat;
}


.raleway{
    font-family: 'Raleway';
}
.parisienne {
    font-family: 'Parisienne';
    letter-spacing: 0.5px;

}
.alice {
    font-family: 'alice';
    letter-spacing: 0.5px;
}

.fontLight {
    color: #ebe4e2;
}
.or {
    color: #e5e0a9;
}
.or_white {
    color: #e5e0a9;
}
.or_white:hover {
    color: white;
}
.lightGrey {
    color: lightgray
}
.bgButtom {
    background-color: rgba(255,255,255,0.3);
}
.bgButtom:hover {
    background-color: #e5e0a9;
}
.bgButtomShow {
    background-color: #e5e0a9;
}
.bgButtomShow:hover {
    background-color: white;
}

.separator_nav {
    border: 1px solid rgba(255,255,255,0.1);
    width:100%;
}

.marineBlog {
    font-size: 50px;
    position:relative;
    right: 29px;
    top: 29px;
}

.inline {
    display: inline;
}
.textIndent {
    text-indent: 5%;
}
.text-justify {
    text-align: justify;
}

.msgValidate {
    border: 1px solid greenyellow;
    border-radius: 7px;
    padding: 10px;
    color: lightgraye;
    font-weight: 200;
    letter-spacing: 2px;
    font-family: 'parisienne';
    font-size: 30px;
    margin-bottom: 0px;
}
.msgValidate p {
    margin-bottom: 0px;
}

.btnCard_a {
    color:#212529;
    background-color: rgba(255,255,255,0.3);
    font-family: 'alice';
    padding: 7px 30px;
    text-decoration: none;
    border-radius: 30px;
}
.btnCard_a:hover {
    background-color: #e5e0a9;
    color:#212529;
}


@media (max-width: 1200px) {
}


@media (max-width: 992px) {
}
@media (max-width: 1200px) {
    .fa-facebook-square {
        font-size: 90px;
        margin-right: 40px !important;
    }
    .fa-instagram {
        font-size: 90px;
    }
    h5 {
        font-size: 35px;
    }
    h6 {
        font-size: 30px;
    }
    #containerFooter {
        height: 1000px;
        margin-bottom: 100px;
    }
    #imgWeddingInstitute {
        width: 30%;
    }
}

.alert-success {
    z-index: 100;
    position: absolute;
    top: 0px;
    width: 100%;
    border-radius: 0px;
    border: 0px;
    text-align: center;
    font-family: 'parisienne';
    font-size: 30px;
    letter-spacing: 2px;

}
.closeMsg {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s 2s, opacity 1s linear;
}

@media (max-width: 1200px) {
}


@media (max-width: 992px) {
}

#navBarMobile {
	display: none;
}
#nav_harmonie {
    background-color: transparent;
    z-index: 100;
}
#nav_harmonie a {
    font-size: 18px;
    letter-spacing: 0.5px;
}
#dropdownNav {
    background-color: rgba(255,255,255,0.5);
    margin-top: 10px;
}
.sticky{
    position: fixed;
    top: 0px;
    background-color: rgba(255,255,255,0.5) !important;
	-webkit-backdrop-filter: blur(8px);
    backdrop-filter: blur(8px);
    width: 100%;
    transition: 1s;
}
#containerFooter{
    background-color: rgba(255,255,255,0.1);
    padding: 20px 50px 50px 50px;
    color:#e4e3de;
    font-family: 'alice';
    margin-top: -290px;
    height: 340px;
}
.fa-facebook-square {
    text-decoration: none;
    color:#e4e3de;
}
.fa-facebook-square:hover{
    color: #e5e0a9;
    font-size: 4em;
}
.fa-instagram {
    text-decoration: none;
    color:#e4e3de;
}
.fa-instagram:hover {
    color: #e5e0a9;
    font-size: 4em;
}
#citationEntete {
    color: #e5e0a9;
    font-family: 'Parisienne';
    text-align: right;
    font-size: 30px;
    letter-spacing: 3px;
}
#entete_accueil {
    position: absolute;
    top: 0px;
    width: 100%;
    z-index: -1;
}
.containerHome {
    width: 80%;
    margin: auto;
}
.cadre {
    box-shadow: 0px 0px 50px rgba(0,0,0,0.5);
    border-radius: 10px;
    z-index: 0;
    padding-bottom: 335px;
}
#logo {
    margin-left: 25%;
    margin-top: 70%;
}
#titleEntete {
    color: #e4e3de;
    text-align: right;
    font-family: 'alice';
    font-size: 18px;
}
.separator{
    border: 1px solid #e5e0a9;
    width: 30%;
    margin-right: 0px;
    margin-left: 70%;
}
#containerAbout{
    margin: 150px;
} 
.cardHW {
    background: linear-gradient(90deg,transparent 20%,rgba(243,240,207,0.3) 100%);
    border-radius: 30px;
    padding: 20px;
}
#imgMarineAbout {
    border-radius: 20px;
}
#imgMarineAboutMobile {
    border-radius: 20px;
    display: none;
}
#cardAboutBody {
    text-indent: 5%;
    line-height: 30px;
    text-align: justify;
    color: #e5e0a9;
    font-family: 'alice';
    font-size: 20px;
}



@media (max-width: 992px) {
	.inputMobile {
		margin-top: 20px;
	}
    #nav_harmonie {
        display: none;
    }
    #navBarMobile {
		display: block;
        height: 100%;
        background-color: rgba(255,255,255,0.1);
		-webkit-backdrop-filter: blur(20px);
		backdrop-filter: blur(8px);
        position: fixed;
        width: 80%;
        border-radius: 120px 0px 0px 0px;
		z-index: 100;
    }
	.aAfter:hover {
		color: #e5e0a9;
	}
	.show {
		right: 0px;
		-webkit-backdrop-filter: blur(20px);
		backdrop-filter: blur(20px) !important;
		background-color: rgba(255,255,255,0.2) !important;
	}
	.hide {
		right: -64%;
	}
	.iconMenuMobile {
		margin-top: 65%;
	}
	.iconContactMobile {
		margin-top: 0%;
	}
	.iconHomeMobile {
		margin-top: 10%
	}
	.iconArticleMobile {
		margin-top: 10%;
	}
	.ongletNav {
		display: block;
		font-size: 45px;
		margin-left: 40px;
		border-bottom: 1px solid white;
		text-align: center;
		padding: 8px;
		letter-spacing: 2px;
		text-decoration: none;
	}
	.btnCard_a {
		color: #e5e0a9;
		background-color: rgba(255,255,255,0.2);
		font-size: 35px;
		margin-left: -150px;
	}
	.h2 {
		font-size: 45px;
	}
	.card-title {
		font-size: 40px;
	}
	.card-text {
		font-size: 40px;
	}
	.btnArticle {
		font-size: 40px;
	}
	.textDateCard {
		font-size: 30px;
	}
	.containerHome {
        width: 100%;
    }    
    .cadre {
        box-shadow: 0px 0px 0px transparent;
        border-radius: 0px;
    }
    #logo {
        margin-top: 25%;
        margin-bottom: 15%;
        width: 85%;
    }    
    #titleEntete {
        text-align: center;
        font-size: 35px;
    }
    .separator{
        margin-left: 49%;
    }
    #citationEntete {
        text-align: center;
        font-size: 65px;
    }
    #containerAbout{
        margin: 0px;
    }
    .cardHW {
        border-radius: 0px 50px 50px 0px;
        margin-top: 10%;
        margin-right: 15px;
        margin-bottom: 10%;
    }
    #imgMarineAbout {
        display: none;
    }
    #imgMarineAboutMobile {
        border-radius: 20px;
        width: 100%;
        display: block !important;
    }
    #cardAboutBody {
        line-height: 42px;
        font-size: 35px;
        text-align: left;
        margin-right: 10px;
        margin-left: -150px;
    }
    #titleAboutMarine {
        font-size: 45px;
    }
    .actuMobile {
        margin-bottom: 60px;
        margin-right: 9.5rem !important;
    }
}





.marineAbout {
    font-size: 50px;
    position:relative;
    right: 5px;
    top: 29px;
}
#firstCardAbout {
    border: 2px solid rgba(255,255,255,0.1);
    border-radius: 50px 50px 0px 0px;
    padding: 40px;
    margin-left: 100px;
    margin-right: 100px;
}
#secondCardAbout {
    margin: 150px 100px 100px 100px;
}
#btnAbout {
    opacity: 0;
    color: #e5e0a9;
    font-size: 20px;
    background-color: rgba(255,255,255,0.3);
    font-family: 'alice';
    padding: 7px 40px;
    text-decoration: none;
    border-radius: 30px;
}
#btnAbout:hover {
    transition: 0.5s;
    color:#212529;
    background-color: #e5e0a9;
}
.contact_moi {
    text-align: right;
    transition: 1s;
    opacity: 1 !important;
}

@media (max-width: 992px) {
    #titleAbout p {
        font-size: 60px;
    }
    #titleAbout {
        padding-top: 100px;
    }
    #firstCardAbout {
        padding: 40px;
        margin: 150px 200px 100px 40px;
        font-size: 35px;
        text-align: left !important;
    }
    .h4About {
        font-size: 35px;
    }
    #secondCardAbout {
        padding: 40px;
        margin: 150px 200px 100px 40px;
        font-size: 35px;
    }
    #btnAbout {
        font-size: 35px;
    }
}


/* Demande en mariage */

#cardDemandeMariage {
    margin: 150px;
}

@media (max-width: 992px) {
    #img_mariage {
        width: 100%;
        margin-left: 0px;
    }
    #cardDemandeMariage {
        margin-left: 30px;
        margin-right: 180px;
    }
    #title_demamde_mariage {
        padding-top: 100px;
        margin-bottom: 150px;
    }
    #title_demamde_mariage p {
        font-size: 60px;
    }
    .btnCard_a {
        margin-left: 0px !important;
    }
}

/* Prestation mariage */

#cardDemandeMariage{
    margin: 150px;
}
#img_mariage {
    margin: -50px 0px 0px -25px;
    box-shadow: 0px 0px 20px black;
}
.img_presta {
    margin: -50px 0px 0px -25px;
    box-shadow: 0px 0px 20px black;
}

#title_form_presta {
    margin-top: 3rem;
    margin-bottom: 3rem;
}  


@media (max-width: 992px) {
    .containerContact {
        padding-top: 100px;
    }
    #cardDemandeMariage {
        margin-left: 30px;
        margin-right: 180px;
    }
    .img_presta {
        width: 85%;
        margin-left: 25px;

    }
    .subCard {
        margin-top: 140px !important;
    }
    li {
        font-size: 35px;
    }
    .btnCard_a {
        margin-left: 0px !important;
    }
    #title_form_presta {
        margin-top: 0px;
    }  
}


/* Evenement */

#cardEvent {
    margin: 150px;
}

@media (max-width: 992px) {
    #img_event {
        width: 100%;
        margin-left: 0px;
    }
    #cardEvent {
        margin-left: 30px;
        margin-right: 180px;
    }
    #title_demamde_mariage {
        padding-top: 100px;
        margin-bottom: 150px;
    }
    #title_demamde_mariage p {
        font-size: 60px;
    }
    .btnCard_a {
        margin-left: 0px !important;
    }
    .containerEvent {
        padding-top: 100px;
    }
}

.containerBlog{
    padding-left: 70px;
    padding-right: 70px;
    box-shadow: 0px 0px 50px rgb(0 0 0 / 50%);
}
.marineBlog {
    font-size: 50px;
    position:relative;
    right: 29px;
    top: 29px;
}
.cardTitle {
    min-height: 75px;
    cursor: initial;
}
.titleCard{
    text-decoration: none;
    color: #e5e0a9;
    font-family: 'raleway';
    letter-spacing: 0.5px;
}
.textDateCard {
    color: #818c96;
}
.titleCardShow{
    font-size: 35px;
    text-decoration: none;
    color: #e5e0a9;
}
.titleCard:hover {
    color: white;
}
.bgCard {
    background-color: rgba(255,255,255,0.1);
}
#titleResume {
    border-bottom: 1px solid #ebe4e2;
}
#titleArticleResume {
    margin-bottom: 0px;
}
.cardComment{
    border: 2px solid rgba(255,255,255,0.1);
    border-radius: 20px;
}
.inputComment {
    background-color: rgba(255,255,255,0.1);
    border: 0px;
}
.inputComment::placeholder {
    color: #ebe4e2;
    font-family: 'Raleway';
    font-weight: 300;
    letter-spacing: 0.5px;
}
#contentCKedit p {
    color: lightgray;
    font-weight: 300;
    font-family: alice;
    letter-spacing: 1px;
}
.dateShow {
    color: lightgray;
    font-weight: 300;
    font-family: alice;
    letter-spacing: 1px;
}
.contentCard {
    color: lightgray;
    font-family: alice;
    letter-spacing: 1px;
}
.bgComment {
    background-color: rgba(0,0,0,.03);
    padding: 10px;
    border: 1px solid rgba(0,0,0,.125);
}


@media (max-width: 1200px) {
    #title_blog {
        padding-top: 100px;
    }
    .containerBlog {
        padding-left: 30px;
        padding-right: 30px;
        margin-left: 55px;
        margin-bottom: 100px;
    }
    #theTitle {
        display: none;
    }
}

/* Show Article */

#cardShow {
    width: 60rem;
}
.bgButtomShow {
    width: 50%;
}
.contentComment span {
    font-size: 14px;
    margin-left: 10px;
}

@media (max-width: 992px) {
    #cardShow {
        width: 100%;
    }
    .containerShow {
        margin-left: 55px;
        margin-bottom: 100px;
    }
    #contentCKedit p {
        font-size: 40px;
    }
    .titleCardShow {
        font-size: 45px;
    }
    .bgButtomShow {
        font-size: 35px;
    }
    .contentComment {
        font-size: 35px;
    }
    .contentComment span {
        font-size: 35px;
    }
    #commentLecteur p {
        font-size: 35px;
    }
    .card-footer h6 {
        font-size: 25px;
    }
}


#bg_contact{
    opacity: 0.1;
    position: absolute;
    top: 0px;
    width: 100%;
    z-index: -1;
}
#form_contact {
    margin: 50px 100px 100px 100px;
}
#title_form_contact {
    margin-top: 3rem;
    margin-bottom: 3rem;
}
.containerCordContact {
    display: none;
}

@media (max-width: 992px) {
        
    #coordonneesContactPC {
        display: none;
    }
    .containerCordContact {
        display: block;
        margin: 100px 190px 0px 50px;
    }
    .titleTypeContact {
        font-size: 35px;
    }
    #title_form_contact p {
        font-size: 60px;
    }
    .inputMobile {
        margin-top: 40px;
    }
    .cardForm {
        border: 0px;
    }
    #bg_contact {
        height: 1000px;
    }
    #form_contact {
        margin-top: 35px;
        margin-left: -30px;
    }
    .containerContact {
        padding-top: 100px;
    }
    #contact_lastname {
        height: 60px;
    }
    #contact_name {
        height: 60px;
    }
    #contact_mail {
        height: 60px;
    }
    #contact_phone {
        height: 60px;
    }
    #contact_lastname::placeholder {
        font-size: 35px;
    }
    #contact_name::placeholder {
        font-size: 35px;
    }
    #contact_mail::placeholder {
        font-size: 35px;
    }
    #contact_phone::placeholder {
        font-size: 35px;
    }
    #contact_content::placeholder {
        font-size: 35px;
    }
    .bgButtom {
        font-size: 35px;
    }
    .d-block {
        font-size: 25px;
    }
    #coordonneesContact h5 {
        font-size: 40px;
    }
    #coordonneesContact h6 {
        font-size: 35px;
    }
}

.titlePanelAdmin {
    font-size: 38px;
}
.cardForm{
    border: 2px solid rgba(255,255,255,0.1);
    border-radius: 20px;
}
.inputRegistration {
    background-color: rgba(255,255,255,0.1);
    border: 0px;
}
.inputRegistration::placeholder {
    color: #ebe4e2;
    font-family: 'Raleway';
    font-size: 14px;
    font-weight: 300;
    letter-spacing: 0.5px;
}
.inputLogin {
    background-color: rgba(255,255,255,0.1);
    border: 0px;
}
.inputLogin::placeholder {
    color: #ebe4e2;
    font-family: 'Raleway';
    font-size: 14px;
    font-weight: 300;
    letter-spacing: 0.5px;
}
.bgPanel {
    background-color: rgba(255,255,255,0.1);
}
.nav-tabs{
    border-bottom: 1px solid rgba(255,255,255,0.1);
}
.nav-tabs .nav-link {
    color: lightgrey;
    border-bottom: 1px solid rgba(255,255,255,0.1);
}
.nav-tabs .nav-link.active {
    background-color: rgba(255,255,255,0.1);
    color: #e5e0a9;
    border: 0px;
}
.fontTitleTab{
    color: lightGrey;
    font-family: 'raleway';
    font-weight: 400;
    font-size: 14px;
    letter-spacing: 1px;
}
.inputArticle {
    background-color: rgba(255,255,255,0.1);
    border: 0px;
}
.inputArticle::placeholder {
    color: #ebe4e2;
    font-family: 'Raleway';
    font-size: 14px;
    font-weight: 300;
    letter-spacing: 0.5px;
}
#article_imageFile {
    width: 100%;
}
#article_imageFile {
    padding: 10px;
    color: lightgray;
}
.containerContact{
    padding-left: 70px;
    padding-right: 70px;
}
.marineContact {
    font-size: 50px;
    position:relative;
    right: 29px;
    top: 29px;
}
.input_HW {
    background-color: rgba(255,255,255,0.1);
    backdrop-filter: blur(8px);
    border: 0px;
}
.input_HW::placeholder {
    color: #ebe4e2;
    font-family: 'Raleway';
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 1px;
}


@media (max-width: 1200px) {
}


@media (max-width: 992px) {
}


/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/